<?php
/**
 * Table : utilisateur
 */

// Tous les utilisateurs
function Lanthane_BDD_utilisateur_select($connex) {
	$res = $connex->prepare("select * from utilisateur") ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// Utilisateur par son ID
function Lanthane_BDD_utilisateur_select_id($connex, $id) {
	$res = $connex->prepare("select * from utilisateur where id = ?") ;
    $res->bindParam(1, $id) ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// Utilisateur par son pseudo
function Lanthane_BDD_utilisateur_select_pseudo($connex, $pseudo) {
	$res = $connex->prepare("select * from utilisateur where pseudo = ?") ;
    $res->bindParam(1, $pseudo) ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// Utilisateurs par l'ID d'un espace de travail
function Lanthane_BDD_utilisateur_select_id_espace_de_travail($connex, $id) {
	$res = $connex->prepare("select * from utilisateur inner join relation_utilisateur_edt on utilisateur.id = relation_utilisateur_edt.id_utilisateur where relation_utilisateur_edt.id_espace_de_travail = ?") ;
    $res->bindParam(1, $id) ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// Nouvel utilisateur
function Lanthane_BDD_utilisateur_insert($connex, $utilisateur) {
	$res = $connex->prepare("insert into utilisateur (pseudo, mdp, mail, code_langue) values (?, ?, ?, ?)") ;
    $res->bindParam(1, $utilisateur[0]) ;
    $res->bindParam(2, $utilisateur[1]) ;
    $res->bindParam(3, $utilisateur[2]) ;
    $res->bindParam(4, $utilisateur[3]) ;
	$res->execute() ;
}



/**
 * Table : fichier
 */

// Tous les fichiers
function Lanthane_BDD_fichier_select($connex) {
	$res = $connex->prepare("select * from fichier") ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// Fichier par son ID
function Lanthane_BDD_fichier_select_id($connex, $id) {
	$res = $connex->prepare("select * from fichier where id = ?") ;
    $res->bindParam(1, $id) ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// Tous les fichiers par l'ID de leurs propriétaire
function Lanthane_BDD_fichier_select_id_utilisateur($connex, $id) {
	$res = $connex->prepare("select * from fichier where id_utilisateur = ?") ;
    $res->bindParam(1, $id) ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// Tous les fichiers par l'ID de leur espace de travail
function Lanthane_BDD_fichier_select_id_espace_de_travail($connex, $id) {
	$res = $connex->prepare("select * from fichier where id_espace_de_travail = ?") ;
    $res->bindParam(1, $id) ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// Tous les fichiers par l'ID de leur espace de travail et par leur emplacement
function Lanthane_BDD_fichier_select_id_espace_de_travail_emplacement($connex, $id, $rep) {
	$res = $connex->prepare("select * from fichier where id_espace_de_travail = ? and emplacement = ?") ;
    $res->bindParam(1, $id) ;
    $res->bindParam(2, $rep) ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// Nouveau fichier
function Lanthane_BDD_fichier_insert($connex, $fichier) {
	$res = $connex->prepare("insert into fichier (nom, emplacement, droits_groupe, droits_autres, id_utilisateur, id_espace_de_travail) values (?, ?, ?, ?, ?, ?)") ;
    $res->bindParam(1, $fichier[0]) ;
    $res->bindParam(2, $fichier[1]) ;
    $res->bindParam(3, $fichier[2]) ;
    $res->bindParam(4, $fichier[3]) ;
    $res->bindParam(5, $fichier[4]) ;
    $res->bindParam(6, $fichier[5]) ;
	$res->execute() ;
}

// Met à jour un fichier
function Lanthane_BDD_fichier_update_id($connex, $fichier) {
	$res = $connex->prepare("update fichier set nom = ?, emplacement = ?, droits_groupe = ?, droits_autres = ? where id = ?") ;
    $res->bindParam(1, $fichier[1]) ;
    $res->bindParam(2, $fichier[2]) ;
    $res->bindParam(3, $fichier[3]) ;
    $res->bindParam(4, $fichier[4]) ;
    $res->bindParam(5, $fichier[0]) ;
	$res->execute() ;
}

// Supprimer un fichier
function Lanthane_BDD_fichier_delete_id($connex, $id) {
	$res = $connex->prepare("delete from fichier where id = ?") ;
    $res->bindParam(1, $id) ;
	$res->execute() ;
}

// Supprimer tous les fichiers d'un espace de travail par son ID
function Lanthane_BDD_fichier_delete_id_espace_de_travail($connex, $id) {
	$res = $connex->prepare("delete from fichier where id_espace_de_travail = ?") ;
    $res->bindParam(1, $id) ;
	$res->execute() ;
}



/**
 * Table : espace de travail
 */

// Tous les espaces de travail
function Lanthane_BDD_espace_de_travail_select($connex) {
	$res = $connex->prepare("select * from espace_de_travail") ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// EDT par son ID
function Lanthane_BDD_espace_de_travail_select_id($connex, $id) {
	$res = $connex->prepare("select * from espace_de_travail where id = ?") ;
    $res->bindParam(1, $id) ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// EDT par l'ID d'un utilisateur
function Lanthane_BDD_espace_de_travail_select_id_utilisateur($connex, $id) {
	$res = $connex->prepare("select * from espace_de_travail inner join relation_utilisateur_edt on espace_de_travail.id = relation_utilisateur_edt.id_espace_de_travail where id_utilisateur = ?") ;
    $res->bindParam(1, $id) ;
	$res->execute() ;
	$tab = array() ;
	$c = 0 ;
	while ($row = $res->fetch(PDO::FETCH_NUM)) {
		$tab[$c] = $row ;
		$c = $c+1 ;
	}
    $res->closeCursor() ;
    unset($res) ;
	return $tab ;
}

// Ajout d'un EDT et renvoie son id
function Lanthane_BDD_espace_de_travail_ajout($connex, $edt) {
	$res = $connex->prepare("insert into espace_de_travail (nom, taille_max) values (?, ?)") ;
    $res->bindParam(1, $edt["nom"]) ;
    $res->bindParam(2, $edt["taille_max"]) ;
	$res->execute() ;
    $res->closeCursor() ;
    unset($res) ;
    return $connex->lastInsertId() ;
}

// Ajoute une relation entre un EDT et un utilisateur
function Lanthane_BDD_relation_utilisateur_edt_ajout($connex, $id_edt, $id_u) {
	$res = $connex->prepare("insert into relation_utilisateur_edt (id_utilisateur, id_espace_de_travail) values (?, ?)") ;
    $res->bindParam(1, $id_edt) ;
    $res->bindParam(2, $id_u) ;
	$res->execute() ;
    $res->closeCursor() ;
    unset($res) ;
}
?>
