<?php

define("VERSION", "2.0.0") ;

include("C/C.php") ;
include("C/BDD.php") ;

// Import des configurations
include("configs.php") ;

include("langues/FR.php") ;

// Connexion à la base de donnée
$connex = connexion_bd($c) ;


// Démarre la session
session_name($nom_session) ;
session_start() ;

if (!isset($_SESSION["id"])) {
	$_SESSION["connexion"] = false ;
} else {
	$_SESSION["connexion"] = true ;
}


/**
 * Routes
 * connexion : route de connexion, route par défaut quand l'usilisateur n'est pas connecté
 * explore : explorateur de fichier, route par défaut quand l'utilisateur est connecté
 * profil : Gestion du profil utilisateur
 * espaces : gestion et création des espaces de travail
 * insciption : route d'inscription, si inscriptions actives
 */
if ($_SESSION["connexion"] === true) {
	if ($_SESSION["connexion"] === false) {
		$route = "profil" ;
	} else {
		if (!isset($_GET["route"])) {
			$route = "profil" ;
	    } else {
		    $route = $_GET["route"] ;
	    }
	}
} else {
	$route = "connexion" ;
}

$vars = array() ;
if ($route == "connexion") {
	$template = "templates/connexion.html" ;
} elseif ($route == "profil") {
	// Si aucun espace de travail n'est spécifié, on les affiche tous
	$vars["profil"] = "" ;
	if (!isset($_GET["section"])) {
	    $edts = Lanthane_BDD_espace_de_travail_select_id_utilisateur($connex, $_SESSION["id"]) ;
	    // Création des profils HTML des espaces de travail
	    $edts_html = "" ;
	    foreach ($edts as $edt) {
			$edts_html = $edts_html . template_html("templates/edt.html", array("id_edt" => $edt[0] , "nom_edt" => $edt[1])) ;
		}
	    $vars["profil"] = template_html("templates/edts.html", array_merge(array("edts" => $edts_html), $langue)) ;
	
    } else {
		// Ajout d'un nouvel espace de travail
		if ($_GET["section"] == "ajout_edt") {
		    $vars["profil"] = template_html("templates/ajout_edt.html", array_merge(array("max_taille_edt" => $CONFIG["taille_max_edt"]), $langue)) ;
		/**
		 * Explorateur
		 */
	    } elseif ($_GET["section"] == "explore") {
			$edt = $_GET["edt"] ;
			// Contrôle si l'utilisateur est membre de l'espace de travail
			if (Lanthane_C_utilisateur_membre_edt_($connex, $_SESSION["id"], $edt)) {
				$vars["profil"] = Lanthane_C_explore($connex, $_SESSION["id"], $edt, $_GET["chemin"]) ;
			}
		}
	}
	$template = "templates/profil.html" ;
}

$vars["version"] = VERSION ;
$vars_tp["route"] = template_html($template, array_merge($vars, $langue)) ;
// Affiche le rendu
echo(template_html("templates/index.html", array_merge($vars_tp, $langue))) ;


// Clôture de la connexion à la base de donnée
$connex = null ;
unset($connex) ;
?>
